/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.frojasg1.chesspdfbrowser.io.file;

import com.frojasg1.chesspdfbrowser.exception.ChessParserException;
import com.frojasg1.chesspdfbrowser.exception.ChessWriterException;
import com.frojasg1.chesspdfbrowser.model.chess.game.ChessGame;
import com.frojasg1.general.exceptions.GeneralFileException;
import java.io.IOException;
import java.util.List;

/**
 *
 * @author Usuario
 */
public interface ChessFileInterface
{
	public void saveToFile( List<ChessGame> list, String fileName, String charsetName ) throws IOException, GeneralFileException, ChessWriterException;
	public List<ChessGame> loadFromFile( String fileName ) throws IOException, GeneralFileException, ChessParserException;
}
