/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.hotmail.frojasg1.applications.common.components.internationalization.window;

import com.hotmail.frojasg1.applications.common.components.internationalization.InternException;
import com.frojasg1.applications.common.configuration.LanguageConfiguration;
import com.frojasg1.applications.common.configuration.application.BaseApplicationConfigurationInterface;
import com.frojasg1.general.desktop.dialogs.DesktopViewComponent;
import com.frojasg1.general.dialogs.ViewComponent;
import com.frojasg1.general.exceptions.ConfigurationException;
import java.awt.Component;

/**
 *
 * @author Usuario
 */
public interface InternationalizedWindow extends ComponentWithOverlappedImage, LanguageConfiguration, DesktopViewComponent
{
	public void changeLanguage( String language ) throws ConfigurationException, InternException;
	public String getLanguage();

	public BaseApplicationConfigurationInterface getAppliConf();
	public void applyConfiguration() throws ConfigurationException, InternException;

	public void changeFontSize( float factor );

	public boolean getAlwaysHighlightFocus();
	public void setAlwaysHighlightFocus( boolean value );
	public void highlightFocus();
	
	public void highlightComponent( ViewComponent vc );
	public boolean hasToClearMarkedComponent();

	public Object getMutexForPaint();
	public Component getLastFocusedComponentDrawn();

	public void changeToWaitCursor();
	public void revertChangeToWaitCursor();
	
	public void formWindowClosing( boolean closeWindow );
	public void formWindowClosingEvent();
	public void releaseResources();

	public void setAppliConf( BaseApplicationConfigurationInterface applicationConfiguration );
}
