/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.frojasg1.desktop.liblens.graphics;

/**
 *
 * @author Usuario
 */
public class Coordinate2D
{
	protected int a_xx = -1;
	protected int a_yy = -1;
	
	public Coordinate2D( int xx, int yy )
	{
		a_xx = xx;
		a_yy = yy;
	}
	
	public Coordinate2D( Coordinate2D other )
	{
		a_xx = other.M_getX();
		a_yy = other.M_getY();
	}

	public int M_getX()	{	return( a_xx );	}
	public int M_getY()	{	return( a_yy );	}
	
	@Override
	public boolean equals( Object obj )
	{
		boolean result = false;
		if( obj != null )
		{
			if( obj instanceof Coordinate2D )
			{
				Coordinate2D other = (Coordinate2D) obj;
				
				result = (a_xx == other.M_getX() ) && (a_yy == other.M_getY() );
			}
		}
		return( result );
	}
}
